# Makeicon

## Installation
### Windows

1. 安装imagemagick/graphicsmagick  
[下载graphicsmagick](ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/windows/)对应操作系统位数的安装程序，安装过程全部选默认。  

2. 下载makeicon.exe
[下载makeicon.exe](http://kgotmbzh-sand.droibaascdn.com/droi/kgotmbzhvdZZbRem9j0h9waEeAyhc0L7lQAAwKII/933627884172611584/makeicon.exe)

### Mac

1. 安装imagemagick/graphicsmagick  
``` bash
# 如果没有安装brew，请安装
$ /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
# 安装imagemagick
$ brew install imagemagick
```

2. 安装ruby  
Mac自带，可通过以下命令升级
``` bash
$ sudo gem update --system
```

3. 安装makeicon
``` bash
$ sudo gem install makeicon
```

## Usage

### Windows
1. 未加path
``` bash
$ makeicon.exe iconpath
# 例如(makeicon.exe为全路径)
$ makeicon.exe Themoji.png
# 生成的图片在当前文件夹下，以平台命名
```

2. 加入path
``` bash
$ makeicon iconpath
# 例如
$ makeicon Themoji.png
# 生成的图片在当前文件夹下，以平台命名
```

### Mac
``` bash
$ makeicon iconpath
# 例如
$ makeicon Themoji.png
# 生成的图片在当前文件夹下，以平台命名
```

## Development

1. 修改版本号，对`./lib/makeicon/version.rb`的`VERSION = "0.1.6"`进行修改

2. 打包
``` bash
$ gem build makeicon.gemspec
```

3. 发布
``` bash
$ gem push makeicon-VERSION.gem # VERSION替换为0.1.6等
```

4. windows-exe 发布(必须在本机安装过最新版makeicon之后)
``` bash
$ gem install ocra
$ ocra ./bin/makeicon
# 会在当前目录下生成 makeicon.exe
```

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Makeicon project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/makeicon/blob/master/CODE_OF_CONDUCT.md).
